Name:          dianara
Version:       1.2.1
Release:       1mamba
Summary:       A pump.io client
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://dianara.nongnu.org
Source:        http://download.savannah.gnu.org/releases/dianara/dianara-v%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqca-devel
BuildRequires: libqjson-devel
BuildRequires: libqoauth-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libmagic-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Dianara is a pump.io client, a desktop application for GNU/linux that allows users to manage their Pump.io social networking accounts without the need to use a web browser.

%prep
%setup -q -n %{name}-v%{version}
sed -i 's,\(target.path = \).*$,\1%{buildroot}%{_bindir},' Dianara.pro

%build
%{_qt4_qmake}
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# install i18n files
install -d %{buildroot}%{_datadir}/dianara/locale
install -m0644 translations/*.qm \
   %{buildroot}%{_datadir}/dianara/locale/
   
# install icon
install -D -m0644 icon/64x64/dianara.png \
   %{buildroot}%{_datadir}/pixmaps/dianara.png

# install desktop file
desktop-file-install \
   --dir=%{buildroot}%{_datadir}/applications \
   dianara.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/dianara
%{_datadir}/dianara/locale/*.qm
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop
%doc BUGS CHANGELOG LICENSE README TODO

%changelog
* Mon Jun 02 2014 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Tue Jan 07 2014 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.1beta1-1mamba
- package created using the webbuild interface
